Bug 1339307 - Old EAP images for OpenShift
Summary: Old EAP images for OpenShift
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: ImageStreams
Version: 3.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: kconner
QA Contact: Tomas Schlosser
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-24 16:08 UTC by Miheer Salunke
Modified: 2019-12-16 05:50 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-22 23:03:43 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Miheer Salunke 2016-05-24 16:08:59 UTC
Description of problem:

We'd like to use the JBoss EAP 6.4 OpenShift image from your docker registry (registry.access.redhat.com). With "docker pull eap64-openshift:latest" we received the container with the "DockerVersion": "1.8.2-el7". From the docker file, we see the EAP version JBOSS_EAP_VERSION=6.4.4.GA. The current EAP 6.4 version is 6.4.7, where can we find it? The same with EAP 7, we could only see an beta version of EAP 7 in the docker registry.

Isn't the registry updated with new EAP releases as you provide RPMs and zip downloads? Or is the docker registry only for demonstration and we have to build our own images to be up to date?

6.4.4 is from 10/2015 and we have to wait a "few" more months to get the latest EAP security fixes and bug fixes in OpenShift? What could we do to get up to date versions? Do you suggest to create our own containers with the latest patch level or with EAP 7?



Version-Release number of selected component (if applicable):
Openshift Enterprise 3.1.1

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Tracy Rankin 2016-08-17 13:35:32 UTC
Upcoming release as this is delivered as part of the EAP images.


Note You need to log in before you can comment on or make changes to this bug.